.ui-gio__layouts-container {
    display: flex;
    gap: 8px;
}

.ui-gio__layouts-container .ui-gio__layout {
    border-radius: 4px;
    cursor: pointer;
    flex-wrap: nowrap;
    gap: 4px;
    height: 40px;
    margin-top: 12px;
    padding: 4px;
    width: 70px;
}

div.row.ui-gio__layout {
    margin-top: 12px !important;
    margin-bottom: 12px !important;
}

.ui-gio__layouts-container .ui-gio__layout .col-12 {
    flex: 1 1 100%
}

.ui-gio__layouts-container .ui-gio__layout--active,
.ui-gio__layouts-container .ui-gio__layout:hover {
    border-color: #007bff;
}

.ui-gio__layouts-container .ui-gio__layout--active .ui-gio__gallery-item,
.ui-gio__layouts-container .ui-gio__layout:hover .ui-gio__gallery-item {
    background-color: #007bff;
}

.ui-gio__gallery-item {
    background-color: #CCC;
    width: 100%;
    height: 100%;
}

.ui-gio__gallery-item.with_video {
    display: flex;
    justify-content: center;
    align-items: center;
}

.ui-gio__layouts-container .ui-gio__layout .ui-gio__subrow {
    gap: 4px;
    height: 100%;
}

.ui-gio__layout {
    background-color: white;
    flex: 1 1 80%;
    gap: 24px;
    flex-wrap: nowrap;
    min-height: 400px;
}

.ui-gio__layout .col-12 {
    flex: 1 1 100%;
}

.ui-gio__gallery-item  i {
    font-size: 36px;
    color: #007bff;
}

.ui-gio__subrow {
    height: 100%;
    gap: 24px;
}

.ui-gio__gallery-item-id {
    position: absolute;
    left: 24px;
    top: 12px;
    font-size: 20px;
    font-weight: bold;
}

.ui-gio__gallery--active.ui-gio__gallery-item {
    border: 2px solid #007bff;
}

.ui-gio__gallery-text-container {
    padding: 12px;
    height: 100%;
    width: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.ui-gio__gallery-text-container button
{
    background-color: #000;
    color: #FFF;
    border: 0;
    height: 40px;
    width: fit-content;
    padding: 0 24px;
}

.image-uploader-preview {
    height: 100px;
    position: relative;
    width: 100%;
}

.image-uploader-preview.image-uploader-preview--mobile {
    width: 100px;
}

.image-uploader-preview img {
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.image-uploader-preview .btn-delete {
    display: none;
    position: absolute;
    left: 1em;
    top: 1em;
}

.image-uploader-preview:hover .btn-delete {
    display: block;
}

.ui-gio__gallery-item {
    background-color: transparent;
}

.ui-gio__gallery-item .text-white h4,
.ui-gio__gallery-item .text-white p {
    color: #FFF;
}

@media (max-width: 800px) {
    .ui-gio__layout {
        flex-wrap: wrap;
    }

    .ui-gio__layout .col-12 {
        min-height: 400px;
    }
}
